Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoTransform Class Reference
GoSdk

## Description

Represents a sensor transformation.

Inherits kObject.

## Public Member Functions
k64f | GoTransform_EncoderResolution (GoTransform transform)
| Gets the encoder resolution. More...
kStatus | GoTransform_SetEncoderResolution (GoTransform transform, k64f value)
| Sets the encoder resolution. More...
kStatus | GoTransform_SetSpeed (GoTransform transform, k64f value)
| Sets the encoder speed. More...
kStatus | GoTransform_SetX (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation X component. More...
kStatus | GoTransform_SetXAngle (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation X-angle. More...
kStatus | GoTransform_SetY (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Y component. More...
kStatus | GoTransform_SetYAngle (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Y-angle. More...
kStatus | GoTransform_SetZ (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Z component. More...
kStatus | GoTransform_SetZAngle (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Z-angle. More...
k64f | GoTransform_Speed (GoTransform transform)
| Gets the encoder speed. More...
k64f | GoTransform_X (GoTransform transform, GoRole role)
| Gets the X component of the transformation. More...
k64f | GoTransform_XAngle (GoTransform transform, GoRole role)
| Gets the X-angle of the transformation. More...
k64f | GoTransform_Y (GoTransform transform, GoRole role)
| Gets the Y component of the transformation. More...
k64f | GoTransform_YAngle (GoTransform transform, GoRole role)
| Gets the Y-angle of the transformation. More...
k64f | GoTransform_Z (GoTransform transform, GoRole role)
| Gets the Z component of the transformation. More...
k64f | GoTransform_ZAngle (GoTransform transform, GoRole role)
| Gets the Z-angle of the transformation. More...

## Member Function Documentation

k64f GoTransform_EncoderResolution | ( | GoTransform | transform | ) |

Gets the encoder resolution.

Parameters

  transform | GoTransform object.

Returns
  The encoder resolution in mm/tick.

kStatus GoTransform_SetEncoderResolution | ( | GoTransform | transform,
|  | k64f | value
| ) |  |

Sets the encoder resolution.

Parameters

  transform | GoTransform object.
  value | Encoder resolution in mm/tick.

Returns
  Operation status.

kStatus GoTransform_SetSpeed | ( | GoTransform | transform,
|  | k64f | value
| ) |  |

Sets the encoder speed.

Parameters

  transform | GoTransform object.
  value | Encoder resolution in mm/sec.

Returns
  Operation status.

kStatus GoTransform_SetX | ( | GoTransform | transform,
|  | GoRole | role,
|  | k64f | offset
| ) |  |

Sets the transformation X component.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation entry to update.
  offset | The transformation X component to set.

Returns
  Operation status.

kStatus GoTransform_SetXAngle | ( | GoTransform | transform,
|  | GoRole | role,
|  | k64f | offset
| ) |  |

Sets the transformation X-angle.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation entry to update.
  offset | The transformation X-angle to set.

Returns
  Operation status.

kStatus GoTransform_SetY | ( | GoTransform | transform,
|  | GoRole | role,
|  | k64f | offset
| ) |  |

Sets the transformation Y component.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation entry to update.
  offset | The transformation Y component to set.

Returns
  Operation status.

kStatus GoTransform_SetYAngle | ( | GoTransform | transform,
|  | GoRole | role,
|  | k64f | offset
| ) |  |

Sets the transformation Y-angle.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation entry to update.
  offset | The transformation Y-angle to set.

Returns
  Operation status.

kStatus GoTransform_SetZ | ( | GoTransform | transform,
|  | GoRole | role,
|  | k64f | offset
| ) |  |

Sets the transformation Z component.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation entry to update.
  offset | The transformation Z component to set.

Returns
  Operation status.

kStatus GoTransform_SetZAngle | ( | GoTransform | transform,
|  | GoRole | role,
|  | k64f | offset
| ) |  |

Sets the transformation Z-angle.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation entry to update.
  offset | The transformation Z-angle to set.

Returns
  Operation status.

k64f GoTransform_Speed | ( | GoTransform | transform | ) |

Gets the encoder speed.

Parameters

  transform | GoTransform object.

Returns
  The encoder speed in mm/sec.

k64f GoTransform_X | ( | GoTransform | transform,
|  | GoRole | role
| ) |  |

Gets the X component of the transformation.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation to retrieve the value from.

Returns
  The transformation X component.

k64f GoTransform_XAngle | ( | GoTransform | transform,
|  | GoRole | role
| ) |  |

Gets the X-angle of the transformation.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation to retrieve the value from.

Returns
  The transformation X-angle.

k64f GoTransform_Y | ( | GoTransform | transform,
|  | GoRole | role
| ) |  |

Gets the Y component of the transformation.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation to retrieve the value from.

Returns
  The transformation Y component.

k64f GoTransform_YAngle | ( | GoTransform | transform,
|  | GoRole | role
| ) |  |

Gets the Y-angle of the transformation.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation to retrieve the value from.

Returns
  The transformation Y-angle component.

k64f GoTransform_Z | ( | GoTransform | transform,
|  | GoRole | role
| ) |  |

Gets the Z component of the transformation.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation to retrieve the value from.

Returns
  The transformation Z component.

k64f GoTransform_ZAngle | ( | GoTransform | transform,
|  | GoRole | role
| ) |  |

Gets the Z-angle of the transformation.

Parameters

  transform | GoTransform object.
  role | The sensor role transformation to retrieve the value from.

Returns
  The transformation Z-angle component.

The documentation for this class was generated from the following file:

- GoTransform.h